1 - 1.2
get /v1/alerts/{id}
Description
Show the Alert
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | id required | Alert ID Example : 0ad6da92-634a-4f8c-932e-9d650599ab1e | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AlertDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/alerts/{id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.2"
Example HTTP response
Response 200
{
"activated_yn": "Y",
"created_at": "2026-03-25T15:12:06.901Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Alert1 Description",
"dimension": {
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
},
"dimensions": [
{
"key": "InstanceId",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"evaluation_count": 3,
"evaluation_time_window": 900,
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"level": "HIGH",
"lower_bound": 80.0,
"metric_id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
"metric_name": "CPU Usage/Core[Basic]",
"metric_unit": "BYTE",
"missing_data_option": "BREACHING",
"modified_at": "2026-03-25T15:12:06.936Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Alert1",
"namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
"namespace_name": "Virtual Server",
"operator": "RANGE",
"period": 300,
"srn": "srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::scp-servicewatch:alert/0ad6da92-634a-4f8c-932e-9d650599ab1e",
"state": "NORMAL",
"statistic": "AVG",
"threshold": 80.0,
"type": "METRIC_ALERT",
"upper_bound": 90.0,
"violation_count": 2
}